Subject: bug#76620: 30.1.50; mouse-1 mode-line bindings are unusable when point is on a button

From: Stefan Monnier <[email-masked]>
Date: Fri, 28 Feb 2025 10:44:00 -0500

>> The mode-line (and header-line) binding was added to button.el in
>> 24fc9480399b2d018e8d85f34e9c5d8c327ce3bf to support using buttons in the
>> mode-line and header-line.  I suggest that we should remove those
>> bindings, in favor of some other way to use button.el in the mode-line
>> or header-line.  Especially because, from grepping through ~400 popular
>> packages (the ones installed at my site), I see no usage of buttons in
>> the mode-line or header-line.
>
> Adding Stefan to the discussion.

FWIW, I've used code which used the same text (with buttons) in
the header-line and in the buffer.  But yeah, that was more an
experiment than anything.  I don't think I still use such code.
So, it's a "nice to have" but not if it breaks something else.

[ In another similar experiment, I tried to make an "in-buffer
  toolbar", but for that one using the same data was simply not an
  option, I needed a translation function.  ]

Seeing some of the crazy things some people do in fancy packages,
I wouldn't be completely surprised to hear that some people actually use
such things rather than just experiment with them.

        Stefan